function pp=points(a,b,m,n)
% points函数根据长度、宽度、长度分割数、宽度分割数产生点阵
% pp为点阵转置后的m*n行、2列的一个矩阵，第一列为x坐标，第二列为y坐标
dx=a/m;dy=b/n;
[p,q]=meshgrid(linspace(0.5*dx,a-0.5*dx,m),linspace(0.5*dy,b-0.5*dy,n));
A(:,:,1)=p; 
A(:,:,2)=q;
pp=reshape(A,m*n,2);
end